#[path="../utils/is_admin.rs"]
mod is_admin;

pub mod decorators {
    use super::*;

    use std::future::Future;
    use is_admin::is_admin::is_admin_check;
    use teloxide::{Bot, types::Message, requests::Requester};

    pub async fn admin_access(bot: Bot, msg: Message, callback: impl Future){
        if is_admin_check(&msg, &bot).await {
            callback.await;
        } else {
            bot.send_message(msg.chat.id, "Команда доступна только администраторам")
                .await
                .unwrap();
        }
    }
}