use std::env;
use dotenv::dotenv;
use teloxide::{prelude::*};

#[path="handlers/main_handler.rs"]
mod main_handler;

#[tokio::main]
async fn main() {

    pretty_env_logger::init();
    dotenv().ok();

    let token = env::var("BOT_TOKEN").unwrap();
    let bot = Bot::new(token);

    main_handler::main_handler::main_handler_spawn(bot).await;

}
