pub mod is_admin{
    use teloxide::Bot;
    use teloxide::types::Message;
    use teloxide::requests::Requester;

    pub async fn is_admin_check(message: &Message, bot: &Bot) -> bool {
        if let None = message.from() {
            bot.send_message(message.chat.id, "Пользователь не найден")
                .await
                .unwrap();
            return false;
        } else {
            let is_admin = bot.get_chat_member(
                message.chat.id,
                message.from().unwrap().id
            ).await;

            match is_admin {
                Ok(chat_member) => {
                    if chat_member.is_administrator() || chat_member.is_owner() {
                        return true;
                    } else {
                        return false;
                    }
                }
                Err(error) => {
                    bot.send_message(message.chat.id, error.to_string())
                        .await
                        .unwrap();
                    return false;
                }
            }

        }
    }
}